@import url(http://fonts.googleapis.com/earlyaccess/notosansjapanese.css);
.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
}
* {
    box-sizing: border-box;
    font-family: 'Noto Sans Japanese', sans-serif;
    font-weight: 300;
}
a,
a:visited,
a:hover,
a:active {
    text-decoration: none;
}
body{
    background-color: #F7F3EB;
}
html, body {
    height: 100%;
    margin: 0;
}

/*ヘッダー*/
.header {
    width: 100%;
    background-color: #F7F3EB;
    padding: 20px 0;
    position: fixed;
    top: 0;
    height: 116px;
    display: flex;
    align-items: center;
    z-index: 2;
}
.logo img {
    width: 200px;
    height: auto;
    margin-left: 30px;
}
.checkbox-toggle {
    position: absolute;
    top: 29px;
    right: 30px;
    z-index: 2;
    cursor: pointer;
    width: 60px;
    height: 60px;
    opacity: 0;
}
.checkbox-toggle:checked + .hamburger > div {
    transform: rotate(135deg);
    background: #F7F3EB;
}
.checkbox-toggle:checked + .hamburger > div:before,
.checkbox-toggle:checked + .hamburger > div:after {
    top: 0;
    transform: rotate(90deg);
    background: #F7F3EB;
}
.checkbox-toggle:checked + .hamburger > div:after {
    opacity: 0;
}
.checkbox-toggle:checked ~ .menu {
    pointer-events: auto;
    visibility: visible;
}
.checkbox-toggle:checked ~ .menu > div {
    transform: scale(1);
    transition-duration: 0.75s;
}
.checkbox-toggle:checked ~ .menu > div > div {
    opacity: 1;
    transition: opacity 0.4s ease 0.4s;
}
.hamburger {
    position: absolute;
    top: 29px;
    right: 30px;
    z-index: 1;
    width: 60px;
    height: 60px;
    padding: 0.5em 1em;
    border-radius: 0.12em 0 0 0.12em;
    cursor: pointer;
    transition: box-shadow 0.4s ease;
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.hamburger > div {
    position: relative;
    flex: none;
    width: 100%;
    height: 2px;
    background: #393939;
    transition: all 0.4s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}
.hamburger > div:before,
.hamburger > div:after {
    content: '';
    position: absolute;
    z-index: 1;
    top: -10px;
    left: 0;
    width: 100%;
    height: 2px;
    background: inherit;
    transition: all 0.4s ease;
    background: #393939;
}
.hamburger > div:after {
    top: 10px;
}
.menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    visibility: hidden;
    overflow: hidden;
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    outline: 1px solid transparent;
    display: flex;
    align-items: center;
    justify-content: center;
}
.menu > div {
    width: 300vw;
    height: 300vw;
    color: #F7F3EB;
    background: #393939;
    border-radius: 50%;
    transition: all 0.5s ease;
    flex: none;
    transform: scale(0);
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.menu > div > div {
    text-align: center;
    max-width: 90vw;
    max-height: 100vh;
    opacity: 0;
    transition: opacity 0.4s ease;
    overflow-y: auto;
    flex: none;
    display: flex;
    align-items: center;
    justify-content: center;
}
.menu > div > div > ul {
    list-style: none;
    padding: 0 1em;
    margin: 0;
    display: block;
    max-height: 100vh;
}
.menu > div > div > ul > li {
    padding: 0;
    margin: 1em;
    font-size: 24px;
    display: block;
}
.menu > div > div > ul > li > a {
    position: relative;
    display: inline;
    cursor: pointer;
    transition: color 0.4s ease;
    color: #F7F3EB;
}
.menu > div > div > ul > li > a:hover {
    color: #F7F3EB;
}
.menu > div > div > ul > li > a:hover:after {
    width: 100%;
}
.menu > div > div > ul > li > a:after {
    content: '';
    position: absolute;
    z-index: 1;
    bottom: -0.15em;
    left: 0;
    width: 0;
    height: 2px;
    background: #F7F3EB;
    transition: width 0.4s ease;
}

/*メイン*/
.top{
    padding-top: 116px;
    padding-bottom: 20px;
    display: flex;
    justify-content: center;
    position: relative;
    border-bottom: 1px solid #393939;
}
.top img{
    border-radius: 15px;
    width: 72%;
    height: auto;
    display: block;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    max-width: 1400px;
}
.scroll {
    position: absolute;
    bottom: 80px;
    left: 50%;
    transform: translateX(-50%);
    color: #F7F3EB;
}
.scroll::before {
    animation: scroll 2s infinite;
    background-color: #F7F3EB;
    content: "";
    width: 2px;
    height: 50px;
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
}
@keyframes scroll {
    0% {
        transform: scale(1, 0);
        transform-origin: 0 0;
    }
    50% {
        transform: scale(1, 1);
        transform-origin: 0 0;
    }
    51% {
        transform: scale(1, 1);
        transform-origin: 0 100%;
    }
    100% {
        transform: scale(1, 0);
        transform-origin: 0 100%;
    }
}
.profile{
    padding-top: 20px;
}
.profile h1{
    text-align: center;
    position: relative;
    font-weight: bold;
    margin: auto;
    color: #393939;
}
.profile-section {
  padding: 20px 20px 20px 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 1px solid #393939;
}
.profile-container {
  max-width: 1300px;
  display: flex;
  gap: 30px;
  align-items: center;
  flex-wrap: wrap;
}
.profile-text {
  flex: 1;
  min-width: 300px;
}
.profile-text h3 {
  font-size: 30px;
  margin-top: 0px;
  margin-bottom: 30px;
  color: #393939;
}
.profile-text p {
  font-size: 16px;
  margin-bottom: 30px;
  line-height: 1.6;
  color: #393939;
}
.profile-button {
  display: inline-block;
  margin-top: 30px;
  padding: 10px 20px;
  background-color: #393939;
  color: #F7F3EB;
  text-decoration: none;
  border-radius: 15px;
  font-size: 14px;
  transition: background-color 0.3s ease;
}
.profile-button:hover {
  background-color: #646464;
}
.profile-image {
  flex: 1;
  min-width: 200px;
  max-width: 500px;
  display: flex;
  align-items: center;
}
.profile-image img {
  width: 100%;
  height: auto;
  border-radius: 15px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
.live{
    border-bottom: 1px solid #393939;
    padding-top: 20px;
    padding-bottom: 20px;
}
.live h1{
    text-align: center;
    position: relative;
    font-weight: bold;
    margin: auto;
    padding-bottom: 20px;
    color: #393939;
}
.live-section {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
}
.live-item {
    background: #fff;
    border-radius: 15px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 20px;
    width: 90%;
    max-width: 600px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    transition: box-shadow 0.3s ease;
}
.live-item.expanded {
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2); /* 詳細表示時に強調 */
}
.live-text {
    text-align: left;
    flex: 1;
}
.live-text h3 {
    font-size: 20px;
    margin: 0 0 10px 0;
    color: #393939;
}
.live-text p {
    font-size: 12px;
    margin: 0;
    line-height: 1.6;
    color: #393939;
}
.live-details {
    height: 0;
    overflow: hidden;
    opacity: 0;
    font-size: 14px;
    margin-top: 10px;
    color: #393939;
    line-height: 1.6;
    transition: height 0.3s ease, opacity 0.3s ease;
}

.live-details.open {
    height: auto;
    opacity: 1;
}
.live-details a{
    color: #393939;
    text-decoration: underline;
}
.live-icon {
    position: absolute;
    cursor: pointer;
    top: 10px;
    right: 10px;
    font-size: 20px;
    font-weight: bold;
    color: #393939;
    padding: 5px 10px;
}
.video {
    max-width: 1300px;
    margin: 50px auto;
    position: relative;
    overflow: hidden;
    text-align: center;
}
.video::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url("../img/alice_tea.JPG");
    background-size: cover;
    background-position: center;
    border-radius: 15px;
    opacity: 0.3;
    z-index: -1;
}
.video h1 {
    padding-top: 20px;
    text-align: center;
    position: relative;
    font-weight: bold;
    margin: auto;
    color: #393939;
}
.video iframe {
    display: block;
    margin: 20px auto;
    width: 80%;
    max-width: 1000px;
    height: auto;
    aspect-ratio: 16 / 9;
    border: none;
    border-radius: 15px;
    z-index: 1;
    position: relative;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
.video-button {
    display: inline-block;
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 10px 20px;
    background-color: #393939;
    color: #F7F3EB;
    text-decoration: none;
    border-radius: 15px;
    font-size: 14px;
    transition: background-color 0.3s ease;
    border: none;
    bottom: 20px;
}
.video-button:hover {
    background-color: #646464;
}

/*フッター*/
.footer img {
    margin: 10px 10px;
    width: 30px;
    height: 30px;
}
.footer {
    border-top: 1px solid #393939;
    background-color: #F7F3EB;
    color: #393939;
    text-align: center;
    padding: 20px 0;
    margin-top: 100px;
}

@media (max-width: 480px) {
    .header {
        height: 80px;
        padding: 10px 0;
    }
    .logo img {
        width: 100px;
        margin-left: 10px;
    }
    .checkbox-toggle {
        top: 10px;
        right: 20px;
        width: 50px;
        height: 50px;
    }
    .hamburger {
        top: 10px;
        right: 20px;
        width: 50px;
        height: 50px;
    }
    .hamburger > div:before,
    .hamburger > div:after {
        top: -8px;
    }
    .hamburger > div:after {
        top: 8px;
    }
    .scroll {
        visibility: hidden;
    }
    .top{
        padding-top: 80px;
    }
    .top img{
        width: 95%;
    }
    .profile-section {
        padding: 10px 10px 10px 10px;
    }
    .profile-text h3 {
        font-size: 20px;
    }
    .profile-text p {
        font-size: 15px;
    }
    .profile-button {
        margin-top: 0px;
      }
}
